<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.map.LiveActivityV3">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/fc_live_v2_map_fragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_live_v3_map_device_battery_layout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="invisible">

            <include
                android:id="@+id/il_live_v3_map_device_battery_layout"
                layout="@layout/layout_map_device_battery" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <include
            android:id="@+id/ll_live_v2_map_top_pet"
            layout="@layout/layout_top_pet_data_small"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_8"
            android:layout_marginTop="@dimen/dp_40" />

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
            android:id="@+id/ll_live_v2_state_layout"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_34"
            android:layout_below="@id/ll_live_v2_map_top_pet"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp_8"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingHorizontal="@dimen/dp_12"
            android:visibility="gone"
            app:qmui_backgroundColor="@color/select_color2"
            app:qmui_radius="@dimen/dp_28">

            <com.airbnb.lottie.LottieAnimationView
                android:id="@+id/lav_live_v2_state_anim"
                android:layout_width="@dimen/dp_40"
                android:layout_height="wrap_content"
                android:visibility="gone"
                app:lottie_loop="true" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_live_v2_state_content"
                style="@style/my_TextView_style_v2"
                android:text="@string/txt_starting_live"
                android:textColor="@color/select_color"
                android:textSize="@dimen/textSize12"
                app:typeface="@string/roboto_regular_font" />

        </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>

        <include
            android:id="@+id/il_live_v3_map_device_msg"
            layout="@layout/item_home_map_device_msg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_live_v2_state_layout"
            android:layout_centerInParent="true"
            android:layout_marginTop="@dimen/dp_6"
            android:visibility="gone" />

        <com.abbidot.tracker.widget.NonSwipeRecyclerView
            android:id="@+id/rv_map_live_v2_device_state"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_live_v2_map_top_pet"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/dp_18"
            android:layout_marginEnd="@dimen/dp_12"
            android:layoutDirection="rtl" />


        <include
            android:id="@+id/il_live_v3_map_pet_location"
            layout="@layout/layout_pet_location_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginHorizontal="@dimen/dp_8"
            android:layout_marginBottom="@dimen/dp_4"
            android:visibility="invisible" />


        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_map_live_v2_refresh_btn"
            style="@style/map_image_yellow_btn_style"
            android:layout_above="@id/il_live_v3_map_pet_location"
            android:layout_alignParentEnd="true"
            android:layout_marginEnd="@dimen/dp_12"
            android:layout_marginBottom="@dimen/dp_16" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_map_live_v2_bluetooth_btn"
            style="@style/map_image_white_btn_style"
            android:layout_alignTop="@id/iv_map_live_v2_refresh_btn"
            android:layout_alignBottom="@id/iv_map_live_v2_refresh_btn"
            android:layout_marginStart="@dimen/dp_12"
            android:padding="@dimen/dp_8"
            android:src="@drawable/icon_map_bluetooth" />


        <include
            android:id="@+id/il_map_live_v2_issue_layout"
            layout="@layout/layout_live_issue"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:visibility="gone" />

        <include
            android:id="@+id/il_live_v2_bluetooth_find_device"
            layout="@layout/layout_bluetooth_find_device"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:visibility="gone" />

    </RelativeLayout>

    <include
        android:id="@+id/il_live_v2_operate_layout"
        layout="@layout/layout_live_v2_data_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white" />

</androidx.appcompat.widget.LinearLayoutCompat>